#include<stdio.h>
#include<unistd.h>
#include<fcntl.h>
#include<sys/socket.h>
#include<netinet/in_systm.h>
#include<netinet/in.h>
#include<netinet/ip.h>
#include<arpa/inet.h>
#include<stdlib.h>
#include<string.h>
#include<pthread.h>
#include<errno.h>

#include"zither.h"
#include<almemsys/almemsys.h>
#include"jpreturn.h"



// int file_check(char *);


/* ------------------ PATH CHECK ----------------- */
int file_check(char *chA)
{
static int bu;
char ch[6][IP_LEN];
int count = 0;
char * non="NON";
char * comand="COMAND";
char * port="PORT";
char * conf="CONF";
char * stat="STAT";

self_memcpy(ch[0], non, IP_LEN);
self_memcpy(ch[1], comand, IP_LEN);
self_memcpy(ch[2], port, IP_LEN);
self_memcpy(ch[3], conf, IP_LEN);
self_memcpy(ch[4], stat, IP_LEN);

bu = 0;
if(IP_LEN > strlen(chA)){
   for(count=0; count < 5; count++){
      if(0 == memcmp(chA, ch[count], (int)strlen(ch[count])+1)){
         bu=count;
         }
      }
   }
else{
   fprintf(stderr,"file_check(): big size mess err. %s\n", chA);
   }
return(bu);
}




